#!/usr/bin/env python

"""
Configuration
"""

import os

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "config"
__version__text__ = "1"

SENTRY_DSN = os.environ.get("SENTRY_DSN")
RELEASE_ID = os.environ.get("RELEASE_ID", "test")
RELEASEMODE = os.environ.get("RELEASEMODE", "dev")

RABBITMQ_HOST = os.getenv("RABBITMQ_HOST", "amqp://guest:guest@localhost/")
RABBITMQ_EXCHANGE = os.getenv("RABBITMQ_EXCHANGE", "output")

INFLUXDB_HOST = os.getenv("INFLUX_HOST", "output-service")
INFLUXDB_PORT = os.getenv("INFLUX_PORT", "8086")
INFLUXDB_USERNAME = os.getenv("INFLUX_USERNAME", "output-service")
INFLUXDB_PASSWORD = os.getenv("INFLUX_PASSWORD", "output-service-supersecret")
INFLUXDB_DB = os.getenv("INFLUX_DB", "output-service")